GCLOUD_COMPUTE_DISKS_LIST(1)

NAME

gcloud compute disks list - list Google Compute Engine disks

SYNOPSIS

gcloud compute disks list [NAME ...] [--limit LIMIT] [--regexp REGEXP, -r REGEXP] [--sort-by SORT_BY] [--uri] [--zones ZONE,[ZONE,...]] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute disks list displays all Google Compute Engine disks in a project. By default, disks from all zones are listed. The results can be narrowed down by providing the --zones flag.

POSITIONAL ARGUMENTS
[NAME ...]
    If provided, show details for the specified names and/or URIs of resources.

FLAGS
--limit LIMIT
    The maximum number of results.
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--sort-by SORT_BY
    A field to sort by. To perform a descending-order sort, prefix the value of this flag with a tilde (``~'').
--uri
    If provided, the list command will only print URIs for the resources returned. If this flag is not provided, the list command will print a human-readable table of useful resource data.
--zones ZONE,[ZONE,...]
    If provided, only resources from the given zones are queried.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all disks in a project in table form, run:
    $ gcloud compute disks list
To list the URIs of all disks in a project, run:
    $ gcloud compute disks list --uri
To list all disks in the us-central1-b and europe-west1-d zones, run:
    $ gcloud compute disks list --zones us-central1-b europe-west1-d